Linux KernelのRemote DoSの脆弱性(Important: CVE-2022-0742)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

03/16/2022にLinux KernelのRemote DoSの脆弱性(Important: CVE-2022-0742)が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2022-0742

CVE-2022-0742: Remote Denial of Service on Linux Kernel >=5.13 icmp6

Red Hat: 7.5 Important

Red Hat: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-0742
    • Remot DoSの脆弱性
    • icmp 6のtype130, 131でエクスプロイト可能なメモリリークが見つかりました。これを利用してリモートユーザは細工したパケットを用いてターゲットのホストにout of memoryを発生させ、システムをクラッシュさせることが可能です。ターゲットをクラッシュさせるだけですので影響は限定的です。この脆弱性は5.13から入ったため、更に効果は限定的となります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

前へ

Apache HTTP Serverの脆弱性情報(Important: CVE-2022-22720, CVE-2022-23943, Moderate: CVE-2022-22719, Low: CVE-2022-22721)と修正版(2.4.53)リリース

次へ

OpenSSLの脆弱性情報(High: CVE-2022-0778)と新バージョン(3.0.2, 1.1.1n, 1.0.2zd)